
C 
C Khoros: $Id: mcmppow.f,v 1.1 1991/05/10 15:44:26 khoros Exp $
C

C
C $Log: mcmppow.f,v $
c Revision 1.1  1991/05/10  15:44:26  khoros
c Initial revision
c
C 

***********************************************************************
*
*  Routine Name: mcmpow_
*
*          Date: November 1990
*        
*       Purpose: takes a complex number represented as a complex
*		 mantissa and a complex exponent (base is 10) and
*		 returns a double precision number separated into
*		 its real and imaginary parts.  This routine is 
*		 currently used by some of the matrix algebra routines.
*
*         Input: complex*16 cdet
*
*        Output: real*8 determ(2)
*
*    Written By: Jeremy Worley 
*
* Modifications:
*
***********************************************************************

      subroutine mcmppow(determ,cdet)
      real*8 determ(2)
      complex*16 cdet(2)
c
      complex*8 temp
      temp = cdet(1)*10**cdet(2)
      determ(1) = real(temp)
      determ(2) = aimag(temp)
      return
      end
 
